<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: marketdata.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Информация о стакане.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.GetOrderBookResponse</code>
 */
class GetOrderBookResponse extends \Google\Protobuf\Internal\Message
{
    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     */
    protected $figi = '';
    /**
     *Глубина стакана.
     *
     * Generated from protobuf field <code>int32 depth = 2;</code>
     */
    protected $depth = 0;
    /**
     *Множество пар значений на покупку.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order bids = 3;</code>
     */
    private $bids;
    /**
     *Множество пар значений на продажу.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order asks = 4;</code>
     */
    private $asks;
    /**
     *Цена последней сделки.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation last_price = 5;</code>
     */
    protected $last_price = null;
    /**
     *Цена закрытия.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation close_price = 6;</code>
     */
    protected $close_price = null;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $figi
     *          Figi-идентификатор инструмента.
     *     @type int $depth
     *          Глубина стакана.
     *     @type \Tinkoff\Invest\V1\Order[]|\Google\Protobuf\Internal\RepeatedField $bids
     *          Множество пар значений на покупку.
     *     @type \Tinkoff\Invest\V1\Order[]|\Google\Protobuf\Internal\RepeatedField $asks
     *          Множество пар значений на продажу.
     *     @type \Tinkoff\Invest\V1\Quotation $last_price
     *          Цена последней сделки.
     *     @type \Tinkoff\Invest\V1\Quotation $close_price
     *          Цена закрытия.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Marketdata::initOnce();
        parent::__construct($data);
    }

    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @return string
     */
    public function getFigi()
    {
        return $this->figi;
    }

    /**
     *Figi-идентификатор инструмента.
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setFigi($var)
    {
        GPBUtil::checkString($var, True);
        $this->figi = $var;

        return $this;
    }

    /**
     *Глубина стакана.
     *
     * Generated from protobuf field <code>int32 depth = 2;</code>
     * @return int
     */
    public function getDepth()
    {
        return $this->depth;
    }

    /**
     *Глубина стакана.
     *
     * Generated from protobuf field <code>int32 depth = 2;</code>
     * @param int $var
     * @return $this
     */
    public function setDepth($var)
    {
        GPBUtil::checkInt32($var);
        $this->depth = $var;

        return $this;
    }

    /**
     *Множество пар значений на покупку.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order bids = 3;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getBids()
    {
        return $this->bids;
    }

    /**
     *Множество пар значений на покупку.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order bids = 3;</code>
     * @param \Tinkoff\Invest\V1\Order[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setBids($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\Order::class);
        $this->bids = $arr;

        return $this;
    }

    /**
     *Множество пар значений на продажу.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order asks = 4;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getAsks()
    {
        return $this->asks;
    }

    /**
     *Множество пар значений на продажу.
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.Order asks = 4;</code>
     * @param \Tinkoff\Invest\V1\Order[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setAsks($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\Order::class);
        $this->asks = $arr;

        return $this;
    }

    /**
     *Цена последней сделки.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation last_price = 5;</code>
     * @return \Tinkoff\Invest\V1\Quotation
     */
    public function getLastPrice()
    {
        return $this->last_price;
    }

    /**
     *Цена последней сделки.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation last_price = 5;</code>
     * @param \Tinkoff\Invest\V1\Quotation $var
     * @return $this
     */
    public function setLastPrice($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\Quotation::class);
        $this->last_price = $var;

        return $this;
    }

    /**
     *Цена закрытия.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation close_price = 6;</code>
     * @return \Tinkoff\Invest\V1\Quotation
     */
    public function getClosePrice()
    {
        return $this->close_price;
    }

    /**
     *Цена закрытия.
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation close_price = 6;</code>
     * @param \Tinkoff\Invest\V1\Quotation $var
     * @return $this
     */
    public function setClosePrice($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\Quotation::class);
        $this->close_price = $var;

        return $this;
    }

}

